From ebb0f7313a0931f646e86badce2627eff2fa37a8 Mon Sep 17 00:00:00 2001
From: Ross Burton <ross.burton@intel.com>
Date: Mon, 5 Sep 2016 22:25:44 +0100
Subject: [PATCH] Use native pkg-config when looking for gtk-doc.

Upstream-Status: Inappropriate
Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 buildsystems/autotools/gtk-doc.m4 | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/buildsystems/autotools/gtk-doc.m4 b/buildsystems/autotools/gtk-doc.m4
index 2d12f01..e5afc3f 100644
--- a/buildsystems/autotools/gtk-doc.m4
+++ b/buildsystems/autotools/gtk-doc.m4
@@ -25,7 +25,7 @@
 # Macro appear in them. The GNU General Public License (GPL) does govern
 # all other use of the material that constitutes the Autoconf Macro.
 
-# serial 2
+# serial 2.1
 
 dnl Usage:
 dnl   GTK_DOC_CHECK([minimum-gtk-doc-version])
@@ -35,11 +35,16 @@ AC_DEFUN([GTK_DOC_CHECK],
   AC_BEFORE([AC_PROG_LIBTOOL],[$0])dnl setup libtool first
   AC_BEFORE([AM_PROG_LIBTOOL],[$0])dnl setup libtool first
 
+  gtkdoc_pkgconfig_save=$PKG_CONFIG
+  PKG_CONFIG=pkg-config-native
+
   ifelse([$1],[],[gtk_doc_requires="gtk-doc"],[gtk_doc_requires="gtk-doc >= $1"])
   AC_MSG_CHECKING([for gtk-doc])
   PKG_CHECK_EXISTS([$gtk_doc_requires],[have_gtk_doc=yes],[have_gtk_doc=no])
   AC_MSG_RESULT($have_gtk_doc)
 
+  PKG_CONFIG=$gtkdoc_pkgconfig_save
+
   if test "$have_gtk_doc" = "no"; then
       AC_MSG_WARN([
   You will not be able to create source packages with 'make dist'
